package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.BusiTemperPoint;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

/**
 * 测温柜/点信息表 Dao
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:04:57 PM
 */
@Repository
public class  BusiTemperPointDao extends BaseDao<BusiTemperPoint, String> {

    public int saveOrUpdate(BusiTemperPoint entity) {
        if(StringUtils.isEmpty(entity.getId())) {

            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}